@echo off

:: Set the directory where the script was invoked
set "OUTPUT_PATH=%cd%"

:: Set the directory containing the images to process
set "IMG_PATH=%cd%\Exterior Source\"

:: Full path to SNS-HDR executable
set "EXE_PATH=C:\Program Files\SNS-HDR Pro 2\SNS-HDR.exe"

:: Preset name
set "PRESET=Canon Natural"

:: Check if the "Exterior Source" directory exists
if not exist "%IMG_PATH%" (
    echo "Exterior Source" directory does not exist in %cd%.
)

:: Initialize variables
setlocal enabledelayedexpansion
set count=0
set filelist=
set firstfile=

:: Loop through all JPG files in the "Exterior Source" directory
for %%f in ("%IMG_PATH%*.jpg") do (
    set /a count+=1
    if !count! equ 1 set "firstfile=%%~nf"
    set "filelist=!filelist! "%%f""
    
    :: When count reaches 5, process the files
    if !count! equ 5 (
        :: Generate output filename based on the first file in the batch
        "%EXE_PATH%" -srgb -da -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr.jpg"
        
        :: Reset variables for the next batch
        set count=0
        set filelist=
        set firstfile=
    )
)

:: Process any remaining files if the count is less than 5
if !count! gtr 0 (
    "%EXE_PATH%" -srgb -da -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr.jpg"
)


:: Set the directory where the script was invoked
set "OUTPUT_PATH=%cd%"

:: Set the directory containing the images to process
set "IMG_PATH=%cd%\Alignment Exterior\"

:: Full path to SNS-HDR executable
set "EXE_PATH=C:\Program Files\SNS-HDR Pro 2\SNS-HDR.exe"

:: Preset name
set "PRESET=Canon Natural"

:: Check if the "Alignment Exterior" directory exists
if not exist "%IMG_PATH%" (
    echo "Alignment Exterior Source" directory does not exist in %cd%.
)

:: Initialize variables
setlocal enabledelayedexpansion
set count=0
set filelist=
set firstfile=

:: Loop through all JPG files in the "Alignment Exterior Source" directory
for %%f in ("%IMG_PATH%*.jpg") do (
    set /a count+=1
    if !count! equ 1 set "firstfile=%%~nf"
    set "filelist=!filelist! "%%f""
    
    :: When count reaches 5, process the files
    if !count! equ 5 (
        :: Generate output filename based on the first file in the batch
        "%EXE_PATH%" -srgb -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr.jpg"
        
        :: Reset variables for the next batch
        set count=0
        set filelist=
        set firstfile=
    )
)

:: Process any remaining files if the count is less than 5
if !count! gtr 0 (
    "%EXE_PATH%" -srgb -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr.jpg"
)


:: Set the directory where the script was invoked
set "OUTPUT_PATH=%cd%"

:: Set the directory containing the images to process
set "IMG_PATH=%cd%\Interior Source\"

:: Full path to SNS-HDR executable
set "EXE_PATH=C:\Program Files\SNS-HDR Pro 2\SNS-HDR.exe"

:: Preset name
set "PRESET=Canon Natural Interior"

:: Check if the "Interior" directory exists
if not exist "%IMG_PATH%" (
    echo "Interior Source" directory does not exist in %cd%.
)

:: Initialize variables
setlocal enabledelayedexpansion
set count=0
set filelist=
set firstfile=

:: Loop through all JPG files in the "Interior Source" directory
for %%f in ("%IMG_PATH%*.jpg") do (
    set /a count+=1
    if !count! equ 1 set "firstfile=%%~nf"
    set "filelist=!filelist! "%%f""
    
    :: When count reaches 5, process the files
    if !count! equ 5 (
        :: Generate output filename based on the first file in the batch
        "%EXE_PATH%" -srgb -da -dd -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr.jpg"
        
        :: Reset variables for the next batch
        set count=0
        set filelist=
        set firstfile=
    )
)

:: Process any remaining files if the count is less than 5
if !count! gtr 0 (
    "%EXE_PATH%" -srgb -da -dd -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr.jpg"
)

:: Set the directory where the script was invoked
set "OUTPUT_PATH=%cd%"

:: Set the directory containing the images to process
set "IMG_PATH=%cd%\Alignment Source\"

:: Full path to SNS-HDR executable
set "EXE_PATH=C:\Program Files\SNS-HDR Pro 2\SNS-HDR.exe"

:: Preset name
set "PRESET=Canon Natural Interior"

:: Check if the "Alignment Source" directory exists
if not exist "%IMG_PATH%" (
    echo "Alignment Source" directory does not exist in %cd%.
)

:: Initialize variables
setlocal enabledelayedexpansion
set count=0
set filelist=
set firstfile=

:: Loop through all JPG files in the "Alignment Source" directory
for %%f in ("%IMG_PATH%*.jpg") do (
    set /a count+=1
    if !count! equ 1 set "firstfile=%%~nf"
    set "filelist=!filelist! "%%f""
    
    :: When count reaches 5, process the files
    if !count! equ 5 (
        :: Generate output filename based on the first file in the batch
        "%EXE_PATH%" -srgb -dd -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr_handheld.jpg"
        
        :: Reset variables for the next batch
        set count=0
        set filelist=
        set firstfile=
    )
)

:: Process any remaining files if the count is less than 5
if !count! gtr 0 (
    "%EXE_PATH%" -srgb -dd -preset "%PRESET%" !filelist! -o "%OUTPUT_PATH%\!firstfile!_hdr_handheld.jpg"
)

endlocal